API

Reddit API

The AI-powered Reddit provides 360° Global Media Data & Intelligence on Reddit communities, moderators, brand researchers, and community engagement teams.

API-Referenz Version: 1.0.0 3 Endpunkte Authentifizierung
Reddit Monitor

Basis-URL

https://pressmonitor.com/api

Authentifizierung

Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /reddit_subreddit

Reddit Subreddit

Parameter

Name Typ Standort Erforderlich Beschreibung
subreddit string query Ja Subreddit name
limit integer query Nein Number of results

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/reddit_subreddit?subreddit=VALUE&limit=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /reddit_user

Reddit Utilisateur

Parameter

Name Typ Standort Erforderlich Beschreibung
username string query Ja Username

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/reddit_user?username=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success